Skip to content

updateSpecialPrices

Request

Path
idinteger, (int32)required
Bodyapplication/jsonrequired
idinteger, (int32)

Identifier of the object to modify or delete

Default:""
systemDatestring, (date)

System date when the record was created.

Default:""
Example:"2024-01-15"
usernamestring, [ 0 .. 20 ] characters

Username of the creator.

Default:""
Example:"admin"
customerinteger, (int32)required

Customer identifier.

Default:""
Example:123
articleinteger, (int32)

Article identifier.

Default:""
Example:456
articleCombinationinteger, (int32)

Article combination identifier.

Default:""
Example:789
sizeRangeinteger, (int32)

Size range identifier.

Default:""
Example:100
articleDescriptionstring, [ 0 .. 100 ] characters

Article description.

Default:""
Example:"Blue Widget"
discountnumber

Discount percentage.

Default:""
Example:10
pricenumber

Price amount.

Default:""
Example:99.99
dateFromstring, (date)

Price validity start date.

Default:""
Example:"2024-01-01"
dateTostring, (date)

Price validity end date.

Default:""
Example:"2024-12-31"
familyinteger, (int32)

Family identifier.

Default:""
Example:50
PUT
/api/v1/special-prices/{id}
curl -i -X PUT \
  'https://api.prana.software/api/v1/special-prices/{id}' \
  -H 'Content-Type: application/json'

Responses

OK

Bodyapplication/json
idinteger, (int32)required

Unique identifier of the object

Default:""
systemDatestring, (date)

System date when the record was created.

Default:""
Example:"2024-01-15"
usernamestring, [ 0 .. 20 ] characters

Username of the creator.

Default:""
Example:"admin"
customerobject(ApiCustomerListReadDto)required

Associated customer.

Default:""
articleobject(ApiArticleListReadDto)

Associated article.

Default:""
articleCombinationobject(ApiArticleCombinationListReadDto)

Associated article combination.

Default:""
sizeRangeobject(ApiSizeRangeListReadDto)

Associated size range.

Default:""
articleDescriptionstring, [ 0 .. 100 ] characters

Article description.

Default:""
Example:"Blue Widget"
discountnumber

Discount percentage.

Default:""
Example:10
pricenumber

Price amount.

Default:""
Example:99.99
dateFromstring, (date)

Price validity start date.

Default:""
Example:"2024-01-01"
dateTostring, (date)

Price validity end date.

Default:""
Example:"2024-12-31"
familyobject(ApiFamilyListReadDto)

Associated family.

Default:""
Response
// No response example